#pragma once
#include <windows.h>

class CHashCountList  
{
	class CHashCount
	{
	public:
		int count;
		unsigned int uHash;
		CHashCount();
		virtual ~CHashCount();	
	};

	class CListedHashCount
	{
	public:
		CHashCount tHashCount;
		CListedHashCount *next;
		CListedHashCount();
		virtual ~CListedHashCount();	
	};

	typedef CListedHashCount* PCListedHashCount;

public:
	void ClearList();
	PCListedHashCount m_pHead;
	double GetBestCountRatio();
	unsigned int GetBestCountHash();
	void AddHash(unsigned int uHash);
	CHashCountList();
	virtual ~CHashCountList();
};